
# ValheimExpanded v0.5.3

Welcome to ValheimExpanded, hitherto referred to as ValEx.
ValEx is designed as a core mod that is a dependency for all ValExModules.
Currently this mod is in Beta; and will, at times, feature game-breaking issues. Use at your own risk.

[UPDATE 0.5.3: Localization is in development & GearParts will eventually become optionally generated.]
[UPDATE 0.5.0: All files will hereby be located in a single pack, as all content is enabled by choice.]
***

Coming Soon:
 > Plants and Medicines
 > Foods and Alchemizing
 > and perhaps more...!

Featuring the following;
***
- GearParts
 - Each material now has associated gearparts. These allow Armaments to
   assign more than the standard four recipe materials per item by
   splitting the recipe into an unlimited number of parts, hereby called
   GearParts, to modify this behaviour, one must currently modify the
   appropriate configuration files recipe to the preferred recipe inputs
   as the recipes are created procedurally and with no alternative.
- Extended Materials
 - Coins
 - Ingots
 - Scales
 - Essences
 - Glass
 - Sand
***

- Building Pieces:
 - Glass ( + more, updated for H&H)
***

- Weapon and Armor Sets have been overhauled, and generate as all other
  ValheimExpanded items do, with recipes removed to any content with
  matching names to those generated. Characters importing items should
  not lose them. Additionally, all item statistics are attached to their
  own Configuration files, allowing the user to modify their own values,
  for now. These properties are Admin-Only for servers which run it, so
  player's are restricted to the server's relevant item values. Therefore,
  the following item sets have been *added*, despite sharing Vanilla names.
  
 - Wood - Stone - Flint - Bone - Primal - Bronze - Abyssal - Iron - Ancient
 - Silver - Fang - Blackmetal - Needle - Titanium - Steel - Fromyr - Flamyr
 
 - Currently, these sets are self-scaled by the user, after Configuration
   files are generated, however the defaults are formulated on a complex
   system which takes many things into account. Consider using it. If any
   item in particular requires attention, request configs for that item by
   enabling Configs within .cfg
 
 - Crystal set is still in the works...
 - Damage scaling algorithms are finished for now, though Im still refining it.
 
***
NOTE: This plugin may have to be run more than once to generate all its configs
	  Please be aware of your Configuration Files, as they dictate what exists.

Also includes:
- Leather Scraps recipes, through workbench.
- Flint recipes, through stonecutter.

# Update Log

Update 0.5.3
- Glass pieces were not saving correctly due to a naming issue.

## Installation (manual)

If you are installing this manually, do the following

1. Extract the archive into a folder. **Do not extract into the game folder.**
2. Move the `plugins` folder into `<YourGameDirectory>\Bepinex\plugins`.
3. Run the game as many times as is required to generate configuration files.
